Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 819008 - Review Request: waterbearlang-waterbear - Waterbear is a toolkit for making programming more accessible and fun. [NEEDINFO]
Summary: Review Request: waterbearlang-waterbear - Waterbear is a toolkit for making p...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-05-04 15:02 UTC by Andrew Greene
Modified: 2015-07-21 13:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
rpmlint O waterbearlang-waterbear.spec: I: checking-url https://github.com/waterbearlang/waterbear/zipball/master/waterbearlang-waterbear-77a1d9a.zip (timeout 10 seconds) waterbearlang-waterbear.src: I: checking waterbearlang-waterbear.src: I: checking-url http://waterbearlang.com (timeout 10 seconds) waterbearlang-waterbear.src: I: checking-url https://github.com/waterbearlang/waterbear/zipball/master/waterbearlang-waterbear-77a1d9a.zip (timeout 10 seconds) waterbearlang-waterbear.noarch: I: checking waterbearlang-waterbear.noarch: I: checking-url http://waterbearlang.com (timeout 10 seconds) 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Clone Of:
Environment:
Last Closed: 2015-07-21 13:40:09 UTC
tibbs: needinfo? (agreene)


Attachments (Terms of Use)

Description Andrew Greene 2012-05-04 15:02:45 UTC
Spec URL: http://newzealand.proximity.on.ca/waterbear/waterbearlang-waterbear.spec

SRPM URL: http://newzealand.proximity.on.ca/waterbear/waterbearlang-waterbear-1.0-5.fc16.src.rpm

Description: 

Waterbear is a toolkit for making programming more accessible and fun.
Having a visual language means you don't have to focus on learning a
syntax to start programming.

Comment 1 Chris Tyler 2012-05-04 20:15:54 UTC
Here's an informal first review...

N    MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]

*** Please post rpmlint output.

Y    MUST: The package must be named according to the Package Naming Guidelines .
Y    MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
N    MUST: The package must meet the Packaging Guidelines .

*** The httpd subpackage does nothing.

Y    MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
Y    MUST: The License field in the package spec file must match the actual license. [3]
NA   MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
Y    MUST: The spec file must be written in American English. [5]
Y    MUST: The spec file for the package MUST be legible. [6]
N    MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

*** The Source0: field should point to a reliable upstream URL (such as https://github.com/waterbearlang/waterbear/tarball/d26edaa which corresponds to the git commit d26edaa).
*** Additions to the source should be in other files, e.g., Source1: waterbear.desktop

...and at that point in the checklist I stopped. Please address these issues and I'll re-review.

Comment 2 Andrew Greene 2012-05-04 20:52:17 UTC
(In reply to comment #1)
> Here's an informal first review...
> 
> N    MUST: rpmlint must be run on the source rpm and all binary rpms the build
> produces. The output should be posted in the review.[1]
> 
> *** Please post rpmlint output.
> 
> Y    MUST: The package must be named according to the Package Naming Guidelines
> .
> Y    MUST: The spec file name must match the base package %{name}, in the
> format %{name}.spec unless your package has an exemption. [2] .
> N    MUST: The package must meet the Packaging Guidelines .
> 
> *** The httpd subpackage does nothing.
> 
> Y    MUST: The package must be licensed with a Fedora approved license and meet
> the Licensing Guidelines.
> Y    MUST: The License field in the package spec file must match the actual
> license. [3]
> NA   MUST: If (and only if) the source package includes the text of the
> license(s) in its own file, then that file, containing the text of the
> license(s) for the package must be included in %doc.[4]
> Y    MUST: The spec file must be written in American English. [5]
> Y    MUST: The spec file for the package MUST be legible. [6]
> N    MUST: The sources used to build the package must match the upstream
> source, as provided in the spec URL. Reviewers should use md5sum for this task.
> If no upstream URL can be specified for this package, please see the Source URL
> Guidelines for how to deal with this.
> 
> *** The Source0: field should point to a reliable upstream URL (such as
> https://github.com/waterbearlang/waterbear/tarball/d26edaa which corresponds to
> the git commit d26edaa).
> *** Additions to the source should be in other files, e.g., Source1:
> waterbear.desktop
> 
> ...and at that point in the checklist I stopped. Please address these issues
> and I'll re-review.

Ok I have fixed those issues listed and updated the files.

Comment 3 Andrew Greene 2012-05-07 13:49:05 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
rpmlint O
waterbearlang-waterbear.spec: I: checking-url https://github.com/waterbearlang/waterbear/zipball/master/waterbearlang-waterbear-77a1d9a.zip (timeout 10 seconds)
waterbearlang-waterbear.src: I: checking
waterbearlang-waterbear.src: I: checking-url http://waterbearlang.com (timeout 10 seconds)
waterbearlang-waterbear.src: I: checking-url https://github.com/waterbearlang/waterbear/zipball/master/waterbearlang-waterbear-77a1d9a.zip (timeout 10 seconds)
waterbearlang-waterbear.noarch: I: checking
waterbearlang-waterbear.noarch: I: checking-url http://waterbearlang.com (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 5 Ralf Corsepius 2012-05-15 04:01:54 UTC
(In reply to comment #4)
> ***I have moved the updated files to this directory
> 
> Spec URL:
> http://scotland/~agreene/waterbearlang-waterbear.spec

These URLs all seem inaccessible or wrong (http://scotland ?).

Comment 6 Andrew Greene 2012-05-16 17:30:05 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > ***I have moved the updated files to this directory
> > 
> > Spec URL:
> > http://scotland/~agreene/waterbearlang-waterbear.spec
> 
> These URLs all seem inaccessible or wrong (http://scotland ?).

I just tried those links and they seem to work for me but either way try these URLS

SPEC FILE
https://github.com/downloads/agreene1/inception/waterbearlang-waterbear.spec

SRPM
https://github.com/downloads/agreene1/inception/waterbearlang-waterbear-1.0-5.fc16.src.rpm

RPM
https://github.com/downloads/agreene1/inception/waterbearlang-waterbear-1.0-5.fc16.noarch.rpm

Comment 7 Ralf Corsepius 2012-05-17 03:41:33 UTC
(In reply to comment #6)
> (In reply to comment #5)
 
> I just tried those links and they seem to work for me but either way try these
> URLS

Is scotland valid TLD? Would be news to me ;)

Comment 8 Andrew Greene 2012-05-17 13:40:11 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> 
> > I just tried those links and they seem to work for me but either way try these
> > URLS
> 
> Is scotland valid TLD? Would be news to me ;)

I apologize the url should have been http://scotland.proximity.on.ca/~agreene
it was brought to my attention yesterday that scotland only resolves locally.

Comment 9 Jason Tibbitts 2013-05-19 23:43:04 UTC
I am triaging old review tickets.  I apologize that it has been so long since
anyone looked at this ticket, but there are more packages submitted now than
the pool of reviewers can handle, and some tickets fall through the cracks.

In order to keep the queue manageable, we need to occasionally find tickets
which are not reviewable so as to not waste what reviewer time is available.
Accordingly, I'm pinging this ticket and setting NEEDINFO.  If you are still
interested in having your package reviewed, please do the following:

* Make sure your package still reflects the current status of its upstream.

* Check that your package still builds on current Fedora releases.

* Audit your package versus the current status of the packaging guidelines,
  current rpmlint and current fedora-review tools.

And, finally, reply, making sure that the NEEDINFO flag gets cleared so that
this ticket reappears in the review queue.  I can't promise a review if you
reply, but by closing out the stale tickets we can devote extra attention to
the ones which aren't stale.


A couple of comments specifically about this package:

%clean is unnecessary.

Using the default %defattr in %files is unnecessary.  It is certainly unnecessary to include it three different times in one %files list.

Might want to fix this rpmlint error (March 14, 2012 was not a Monday):

waterbearlang-waterbear.src: E: specfile-error warning: bogus date in %changelog: Mon Mar 14 2012 Jayaditya Mulwani <jmulwani@learn.senecac.on.ca> - 1.0-1

Comment 10 Miroslav Suchý 2015-07-21 13:40:09 UTC
Closing due long inactivity. Feel free to reopen if you want to continue.


Note You need to log in before you can comment on or make changes to this bug.